> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nameshouts.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Name from List

```http POST theme={"system"}
POST https://api.nameshouts.com/api/v2.0/user/user-list/remove-name-from-list?name_group_id=94812&user_list_id=49909
```

This endpoint returns a specific name that belongs to a list.

You need to provide two input parameters to remove the name from a list.

| **Input Parameters** | **Description** |
| - | - |
| name\_group\_id | The unique id of the full name from the list. |
| user\_list\_id | The id of the list that the name belongs to. |

## Authorization

| Bearer Token | |
| - | - |
| Token | `<token>` |

## Params

**name\_group\_id** `string`

Example: `94812`

**user\_list\_id** `string`

Example: `49909`

## Examples

### Remove Name from List

**Example Request**

```bash curl theme={"system"}
curl --location --request POST 'https://api.nameshouts.com/api/v2.0/user/user-list/remove-name-from-list?name_group_id=27855&user_list_id=16694'
```

**Example Response** · `200 OK`

```json Body theme={"system"}
"Name successfully removed from list."
```

**Headers (6)**

| Key | Value |
| - | - |
| Server | nginx/1.14.0 (Ubuntu) |
| Content-Type | application/json |
| Transfer-Encoding | chunked |
| Connection | keep-alive |
| Cache-Control | no-cache, private |
| Date | Thu, 14 Sep 2023 04:00:55 GMT |

```bash cURL theme={"system"}
curl --location --request POST 'https://api.nameshouts.com/api/v2.0/user/user-list/remove-name-from-list?name_group_id=94812&user_list_id=49909' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
```

```json Remove Name from List (200) theme={"system"}
"Name successfully removed from list."
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.